Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.personalization.resources
Class WriteResourceToStreamException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.websphere.personalization.resources.ResourceException
                  com.ibm.websphere.personalization.resources.WriteResourceToStreamException

All Implemented Interfaces:
  java.io.Serializable

    public class WriteResourceToStreamException

extends ResourceException

This Exception indicates an error writing a resource to a stream, normally as XML.

See Also:
  `ResourceManager3.writeResourceToStream(OutputStreamWriter, Resource, RequestContext, String)`, `ResourceManager3.writeResourcesToStream(OutputStreamWriter, Enumeration, RequestContext, String)`, Serialized Form

Constructor Summary
`WriteResourceToStreamException()` Creates a new WriteResourceToStreamException with an empty cause and message.
`WriteResourceToStreamException(java.lang.Exception cause)` Creates a new WriteResourceToStreamException and inits the cause.
`WriteResourceToStreamException(java.lang.String message)` Creates a new WriteResourceToStreamException with the supplied message.

Method Summary
`java.lang.Exception` | `getNestedException()` Deprecated. Use getCause instead.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WriteResourceToStreamException

    public WriteResourceToStreamException()

  Creates a new WriteResourceToStreamException with an empty cause and message.

### WriteResourceToStreamException

    public WriteResourceToStreamException(java.lang.String message)

  Creates a new WriteResourceToStreamException with the supplied message.

### WriteResourceToStreamException

    public WriteResourceToStreamException(java.lang.Exception cause)

  Creates a new WriteResourceToStreamException and inits the cause.

  Parameters:
    `cause` - The cause of this WriteResourceToStreamException

Method Detail

### getNestedException

    public java.lang.Exception getNestedException()

  Deprecated. Use getCause instead.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD